package com.ag.entity.fee;


import com.ag.entity.fee.face.IRuleCondition;

/**
 * CTariffRitem entity. @author MyEclipse Persistence Tools
 */

public class TariffRitem implements IRuleCondition {

	// Fields

	private String id;
	private String tenancyId;
	private String ruleId;
	private String keyName;
	private String operChar;
	private String compareVal;
	private String compareName;
	private String comname1;
	private Integer delFlag;


	// Constructors

	/** default constructor */
	public TariffRitem() {
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenancyId() {
		return this.tenancyId;
	}

	public void setTenancyId(String tenancyId) {
		this.tenancyId = tenancyId;
	}

	public String getRuleId() {
		return ruleId;
	}

	public void setRuleId(String ruleId) {
		this.ruleId = ruleId;
	}

	public String getKeyName() {
		return this.keyName;
	}

	public void setKeyName(String keyName) {
		this.keyName = keyName;
	}

	public String getOperChar() {
		return this.operChar;
	}

	public void setOperChar(String operChar) {
		this.operChar = operChar;
	}

	public String getCompareVal() {
		return this.compareVal;
	}

	public void setCompareVal(String compareVal) {
		this.compareVal = compareVal;
	}

	public String getCompareName() {
		return compareName;
	}

	public void setCompareName(String compareName) {
		this.compareName = compareName;
	}

	public String getComname1() {
		return comname1;
	}

	public void setComname1(String comname1) {
		this.comname1 = comname1;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}
}